Skip to content

Add Card

| View as Markdown

A prepaid card is a card you can use to pay for things. You can add money to it and then you can use the card to spend up to that amount. This API is used for adding a card detail to database of the issuer who has issued the card for the user. We must pass entity id, card type, kit no, card no and card expiry in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/cards/api/add-card
ParameterType ValueDescriptionValue Like
content-type requiredstringthe content type isapplication/x-www-form-urlencoded
token requiredtext
(1-10)
Will be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
checksum requiredtext$string = $param.self::$secret_key;sha256(<concate all values+SECRET KEY>);(dynamic, required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
entity_id requiredtext
(1-50)
The Customer Id registered with the system91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
card_type requiredtextCard type to be mentioned. (P – Physical , V- virtual)V,P
kit_no requiredtext
(1-16)
Proxy card or kit number100000001236
card_no requiredtext
(1-16)
16 digit card number462294XXXXXX3713
card_expiry requiredtext
(1-10)
Expiry Date of Card- 1 month to 25 years12/2022
ParameterType ValueDescriptionValue Like
status requirednumericairpay status400,200
message requiredtextairpay status messageSuccess,Fail
data requiredjson{""}(required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/add-card' \
--header 'content-type: application/x-www-form-urlencoded' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'card_type=V' \
--data-urlencode 'card_no=462294XXXXXX3713' \
--data-urlencode 'kit_no=100000001236' \
--data-urlencode 'card_expiry=12/2022'
{
"status": 200,
"message": "success",
"data": []
}
{
"status": 400,
"message": "fail"
}